Bug 1283148 - dpbxbackend: needs non-placeholder APP_KEY/APP_SECRET
dpbxbackend: needs non-placeholder APP_KEY/APP_SECRET
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: duplicity (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 06:42 EST by Will Thompson
Modified: 2016-12-20 11:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:03:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Thompson 2015-11-18 06:42:04 EST
Description of problem:

In duplicity 0.7, dpbxbackend.py ships with no API key:

    # You can register your own developer account with Dropbox and
    # register a new application for yourself, obtaining the new
    # APP_KEY and APP_SECRET.
    # Note 1: you must not store your credentials "as is" in the code.
    #         The values must be "processed" at least.
    #         This is a must for "production" keys.
    # Note 2: the name of the application defines the name of the
    #         subfolder in the "Apps" folder.
    # http://www.dropbox.com/developers/apps is the place to get the key.

    APP_KEY = 'YOUR_APP_KEY'
    APP_SECRET = 'YOUR_APP_SECRET'

As a result, the Dropbox backend is unusable, short of registering one's own API key and patching the package.

Version-Release number of selected component (if applicable):

duplicity-0.7.05-1.fc23.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Invoke (for example) `duplicity $HOME dpbx:///test`

Actual results:

dpbx Error: [403] u"Invalid app key (consumer key). Check your app's configuration to make sure everything is correct."

Expected results:

On the first run, I should be prompted to authorize duplicity to access Dropbox; after this, duplicity should back things up to my Dropbox account.

Additional info:

It seems the upstream key was removed in the 0.7 branch about a year ago: https://bazaar.launchpad.net/~duplicity-team/duplicity/0.7-series/revision/1003
Comment 1 Fedora End Of Life 2016-11-24 08:32:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:03:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.